For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
      • POSTGenerate authentication token
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTAuthentication

Generate authentication token

POST
https://meta.feedonomics.com/api.php/login
POST
/api.php/login
$curl -X POST https://meta.feedonomics.com/api.php/login \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "username": "user123",
> "password": "password123",
> "method": "token"
>}'
1{
2 "status": "success",
3 "token": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9eyJ1c2VyX2lkIjoiNzQifQH9Xrm7x1w3SldB9gUVShNquN9xdGK6qYivUB2G2xYWU"
4}

Generates an authentication token. The token must be sent with the x-api-key header for all authenticated requests.

Was this page helpful?
Previous

Authentication API

Next

Platform API

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

The user credentials for authentication
usernamestringRequired
Account username.
passwordstringRequired
Account password.
methodenumRequired

Authentication method;

Allowed values:
namestringOptional
useful to isolate activity of each token for the same user
twofa_tokenstringOptional
2FA token. If not provided, an email will be sent with a new token. Required to receive an authentication token

Response

Successful operation
statusstring
tokenstring
Returned when method is 'token'
messagestring
Returned when a 2FA token is not provided